#
# spec file for package polkit-default-privs (Version 0.1_200810281440)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0


Name:           polkit-default-privs
License:        GPL v2 or later
Group:          Productivity/Security
Version:        0.1_200810281440
Release:        1
Summary:        SUSE PolicyKit default permissions
Source:         polkit-default-privs-%version.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Supplements:    PolicyKit
BuildArch:      noarch
Url:            http://www.suse.de/~lnussel/polkit-default-privs.git
PreReq:         %fillup_prereq
%if %suse_version > 1100
Obsoletes:      hal-resmgr < 0.2
Obsoletes:      resmgr < 1.1.1
%endif

%description
Different default privilege settings depending on local configuration



Authors:
--------
    Ludwig Nussel

%prep
%setup -q

%build

%install
make install DESTDIR=$RPM_BUILD_ROOT

%post
%{fillup_only -ns security polkit_default_privs}
/sbin/set_polkit_default_privs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%config /etc/polkit-default-privs.standard
%config /etc/polkit-default-privs.restrictive
%config(noreplace) /etc/polkit-default-privs.local
/sbin/chkstat-polkit
/sbin/set_polkit_default_privs
%_mandir/man*/*
/var/adm/fillup-templates/sysconfig.security-polkit_default_privs

%changelog
* Tue Oct 28 2008 lnussel@suse.de
- add system-config-printer and a few more hal device access lines
* Mon Oct 27 2008 lnussel@suse.de
- combine privilege settings from multiple files (bnc#439127)
* Fri Oct 24 2008 lnussel@suse.de
- fix some wrong privilege settings (bnc#435776)
  * smpppd.connect, system-update and settimezone in restrictive
  * settimezone in standard
* Mon Oct 06 2008 dmueller@suse.de
- obsolete resmgr and hal-resmgr for openSUSE 11.1 and newer
* Wed Sep 17 2008 lnussel@suse.de
- add manpages
- do not use SuSEconfig
* Tue Sep 16 2008 lnussel@suse.de
- add COPYING file (bnc#425444)
- add privilege for backup-manager
* Thu Sep 11 2008 lnussel@suse.de
- allow setting the sytem timezone and installing updates by default
- add smpppd
* Thu Sep 04 2008 lnussel@suse.de
- rename to polkit-default-privs
- add sysconfig files
- default levels are "standard" and "restrictive"
* Tue Aug 19 2008 lnussel@suse.de
- add device access, consolekit, packagekit.set-proxy
* Fri Jun 20 2008 lnussel@suse.de
- add program to list permissions that are missing
- add a few more programs that have permissions
* Wed Jun 18 2008 lnussel@suse.de
- fix easy permissions
- print message when changing permissions
- add libvirt
* Thu Jun 12 2008 lnussel@suse.de
- fix SuSEconfig.polkit-permissions
* Thu Jun 12 2008 lnussel@suse.de
- initial package
